Subject: Re: Proposals for Concluding LDUP

From: John McMeeking <[email-masked]>
Date: Wed, 18 Dec 2002 09:02:07 -0600

A) I agree with finishing work on LCUP as a proposed standard.

B) With respect to the replication work, I agree that it seems highly
unlikely that the working group will be able to reach consensus, and that
even if published, that many directory server vendors would attempt to
support it.  I suspect too much work has been done on each vendor's
replication implementations for them to invest in new replication support.
Personally, I would hate to see the existing replication work lost.  I
would like to see it archived in some form along with a list of known
issues.  An experimental or informational RFC seems to be the way to do
this within IETF, but I'd go for anything that preserved the work without
too much pain.

I am willing to contribute to such an effort, as long as it is a small,
contained effort with enough participation to keep any individual
contribution to a reasonable level.  A July 2003 cutoff date for this work
seems reasonable.  If we can't do it by then, we're probably not going to
get it done.

With respect to this being done as a WG or as individual submisisons, I
don't think it matters much.  It is going to require a group effort (not
necessarily WG) to wrap this up, and the individuals woud be drawn from the
LDUP WG.  The WG might even be able to acheive consensus on issues (we
don't have to solve, just record it).  I think it would be helpful
(motivational) if the WG agreed that there was value in preserving the
work.  If the WG wants to pursue this, great.  If not, and there's enough
interest to do an "individual" submission, that's fine.  Otherwise, its
clearly time to drop the matter.

C & D) I thought the access control discussion was largely due to
replication issues.  If we are not going to do replication as a proposed
standard, is there any need to reference X.500 BAC and Administrative
Model?

E) I defer to the WG and the LCUP authors as to whether July 2003 is
acheivable,

F) Concur.  LDUP WG should conclude when LCUP is completed.

John  McMeeking

                      "Chris Apple"                                                                                            
                      <capple@dsi-consu        To:       <[email-masked]>                                                   
                      lting.net>               cc:                                                                             
                      Sent by:                 Subject:  Proposals for Concluding LDUP                                         
                      owner-ietf-ldup@m                                                                                        
                      ail.imc.org                                                                                              

                      12/12/2002 02:56                                                                                         
                      PM                                                                                                       
                      Please respond to                                                                                        
                      capple                                                                                                   

As mentioned in the proposed WG meeting minutes, there
are currently two proposals on the table for concluding
LDUP:

1) A proposal from the co-chairs. Summarized as follows:

A) Publish LCUP spec as Proposed Standard after successful
   passage of a WG Last Call.

B) Publish remaining WG documents as either Informational
   or Experimental after resolving gross inconsistencies and
   explicitly identifying areas where the WG was unable to
   achieve consensus in those documents.

C) Reference X.500 BAC in the General Usage Profile as well
   as the X.500 Administrative Model (perhaps from the drafts
   by Steven L. and Kurt Z., perhaps directly from the X.500
   Recommendations themselves)

D) Reference X.500 BAC and Administrative Model in other WG
   documents as needed.

E) Documents should enter WG Last Call on or before
   the July 2003 IETF Meeting.

F) Conclude LDUP when last document is published as an RFC.

2) A proposal from Mark Wahl. Summarized as follows:

A) Publish LCUP as a Proposed Standard after successful
   passage of WG Last Call.

B) Conclude LDUP once LCUP spec is published as an RFC.

C) Convert all WG documents to individual I-D contributions
   and allow editors to work out consensus (or not) outside
   of the context of a WG.

I have spoke with a number of folks who have opinions about
the pros and cons of either approach.

Please post your views to the list on the pros and cons of
these approaches and indicate which way you are leaning at
this time.

Also please feel free to post your observations about any
inaccuracies in the summaries of the proposals above.

Chris Apple - Principal Architect

DSI Consulting, Inc.

mailto:[email-masked]

http://www.dsi-consulting.com